iTunes

Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download the free app LUPUS 2017 & ACA 2017 by Kenes, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

LUPUS 2017 & ACA 2017

By Kenes

Open iTunes to buy and download apps.

Description

This is the official app for LUPUS 2017 & ACA 2017, the 12th International Congress on Systemic Lupus Erythematosus & the 7th Asian Congress on Autoimmunity, taking place in Melbourne, Australia. This exciting joint congress will be a platform for building bridges between clinicians and basic researchers, focusing on global progress in translational research in SLE and autoimmunity.
Download the LUPUS 2017 & ACA 2017 mobile app to:
- Learn about all the sessions, speakers, exhibitors and sponsors.
- Create a personalized program for the Congress by scheduling/bookmarking the sessions, speakers and exhibitors that interest you most.
- Locate session halls and exhibitor booths with its maps.
- Access general information about the Congress, venue and city, instructions for all presenters, as well as all other activities related to the Congress.

Screenshots

iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPhone Screenshot 5
iPad Screenshot 1
iPad Screenshot 2
iPad Screenshot 3
iPad Screenshot 4
LUPUS 2017 & ACA 2017
View in iTunes
This app is designed for both iPhone and iPad
  • Free
  • Category: Reference
  • Released:
  • Version: 1.2
  • Size: 57.2 MB
  • Language: English
  • Seller:
You must be at least 17 years old to download this app.
  • Infrequent/Mild Medical/Treatment Information
  • Unrestricted Web Access

Compatibility: Requires iOS 6.0 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.